# Class ConnectorSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.ConnectorSF

All Implemented Interfaces:
  `IStoreFactory`

public class ConnectorSF extends StoreFactoryBase
Store Connector and Listeners

## Field Summary

### Fields inherited from class StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`ConnectorSF()`
Creates a new ConnectorSF instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`storeChildren(PrintWriter aWriter, int indent, Object aConnector, StoreDescription parentDesc)`
Must Implement at subclass for custom store children handling.

### Methods inherited from class StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectorSF

public ConnectorSF()
Creates a new ConnectorSF instance.

## Method Details

### storeChildren

public void storeChildren(PrintWriter aWriter, int indent, Object aConnector, StoreDescription parentDesc) throws Exception
Description copied from class: `StoreFactoryBase`
Must Implement at subclass for custom store children handling.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - Current output writer
  `indent` - Indentation level
  `aConnector` - Current element
  `parentDesc` - The element description
Throws:
  `Exception` - Configuration storing error